/**********************************
// Scott Enzinna
// Make
// Fall 2014
// The Low Rider
**********************************/

// When this function is call it will play the the song programmed in the function
void Play_First_Song()
{
  // array that has the melody notes 
  int melody[] = { 247, 247, 247, 247, 247, 262, 
                    294, 294, 196, 0, 247, 262, 247, 196};
  
  // the duration of each note in the molody
  int duration[] = {200, 200, 200, 200, 200, 200,
                    200, 200, 500, 500, 200, 200, 200, 500 };
  
  // how long the song is
  int song_length = 13;
  
  // This for loop plays the song
  for (int thisNote = 0; thisNote < song_length; thisNote++)
  {
     TimerFreeTone(10, melody[thisNote], duration[thisNote]);
     delay(50); // Short delay between notes.
  }
}

// When this function is call it will play the the song programmed in the function
void Play_Second_Song()
{
  // array that has the melody notes   
  int melody[] = { 262, 196, 196, 220, 196, 0, 247, 262 };
  
  // the duration of each note in the molody
  int duration[] = { 250, 125, 125, 250, 250, 250, 250, 250 };
  
  // how long the song is
  int song_length = 8;
  
  // This for loop plays the song
  for (int thisNote = 0; thisNote < song_length; thisNote++)
  {
    TimerFreeTone(10, melody[thisNote], duration[thisNote]);
    delay(50); // Short delay between notes.
  }
}

// When this function is called it will execute the function below that wil lock the car
void Lock()
{
  // melody for sound 
  int melody[] = { 320, 320,};
  
  // duration for melody
  int duration[] = {100, 100};
  
  // Lights High
  Headlights_On();
  Taillights_On();
  
  // Play Note
  TimerFreeTone(10, melody[0], duration[0]);
  
  // Lights Low
  Headlights_Off();
  Taillights_Off();
  
  delay(75); // Short delay between notes.
  
  Headlights_On();
  Taillights_On();
  
  // Play Note
  TimerFreeTone(10, melody[1], duration[1]);
  
  // Lights Low
  Headlights_Off();
  Taillights_Off();
}

// When this function is call it will turn both headlights on
void Headlights_On()
{
  digitalWrite(2, HIGH);
  digitalWrite(3, HIGH);
}

// When this function is call it will turn both headlights off
void Headlights_Off()
{
  digitalWrite(2, LOW);
  digitalWrite(3, LOW);
}

// When this function is call it will turn both taillight on
void Taillights_On()
{
  digitalWrite(4, HIGH);
  digitalWrite(5, HIGH);
}

// When this function is called it will turn both tailights off
void Taillights_Off()
{
  digitalWrite(4, LOW);
  digitalWrite(5, LOW);
}

// When this function is called it will turn both servos to 90 degrees
void Both_Servos_Up()
{
  myservo_2.write(10);
  myservo.write(95);
}

// When this function is called it will turn both servos to 0 degrees
void Both_Servos_Down()
{
  myservo_2.write(95);
  myservo.write(10);
}
